package org.zheng.demo;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNull;

import java.io.File;
import java.io.IOException;

import org.junit.jupiter.api.Test;
import org.zheng.demo.data.Order;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;

class TestOrder {

	private ObjectMapper ob = new ObjectMapper();

	@Test
	void test_ignore_unknown() {
		// name and age have value
		String json = "{\"productName\":\"PC\",\"quantity\":3}";
		try {
			Order order = ob.readValue(json, Order.class);
			assertNull(order.getProductName());
			assertEquals(3, order.getQuantity());
		} catch (JsonProcessingException e) {
			e.printStackTrace();
		}
	}

	@Test
	void test_JsonProperty_getter_happypath() {
		File file = new File("src/test/resources/order.json");

		try {
			Order order = ob.readValue(file, Order.class);
			assertEquals("test", order.getProductName());
			assertEquals(10, order.getQuantity());
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

}
